> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/amazons3target-object.md).

# AmazonS3Target Object

## Description

Specifies the details of an Amazon S3 target.

## Properties

### bucketName

Name of an Amazon S3 bucket.

Type: `string`

Required: Yes

### encryptionType

Type of encryption to use when placing the object into S3.

Type: `string`

Valid Values:

* `none`
* `aes256`

Required: Yes

### objectKey

Object key (file name) to use for the target object placed into Amazon S3.

Type: `string`

Required: Yes

## Sample JSON

```javascript
{
    "bucketName": "my-target-bucket",
    "objectKey": "backups/my-backup-$(DATE)",
    "encryptionType": "aes256"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/amazons3target-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
